## kelbt 0.15

=== cxxprep/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright 2004-2006 Adrian Thurston <thurston@cs.queensu.ca>
+#  Copyright 2004-2006 Adrian Thurston <thurston@complang.org>
 #
 
 #  This file is part of C++ Pre-Parser.
@@ -68,7 +68,6 @@
 	$(CXX) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<
 
 distclean: clean
-	rm -f Makefile config.h config.cache config.status config.log
 
 clean:
 	rm -Rf .*.d *.o cxxprep scanner.cpp \
