=== kelbt/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright 2001-2003, 2005 Adrian Thurston <thurston@cs.queensu.ca>
+#   Copyright 2001-2003, 2005 Adrian Thurston <thurston@complang.org>
 #
 
 #   This file is part of Kelbt
