## kelbt 0.16

=== debian/changelog ===
kelbt (0.16-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007316).
  * d/copyright: Fix GPL version and convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 19:23:01 +0200

kelbt (0.16-2) unstable; urgency=medium

  * Maintenance release
    * Bumped standards-version and debhelper
  * Updated link to documentation

 -- Robert Lemmen <robertle@semistable.com>  Wed, 14 Mar 2018 19:21:52 +0100

kelbt (0.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changed type for Parser_indicies from char to int8_t to fix
    narrowing conversion issue with gcc-6 (closes: #837184)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Jan 2017 21:55:12 +0100

kelbt (0.16-1) unstable; urgency=medium

  * New upstream release
  * Fixed watch file (closes: #796791)
  * Fixes to debian/rules and debian/control towards lintian-cleanliness
  * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 06 Jun 2016 20:55:22 +0100

kelbt (0.15-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 May 2012 19:49:11 +0100

kelbt (0.14-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Mon, 12 Oct 2009 10:05:34 +0100

kelbt (0.13-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 19:35:16 +0000

kelbt (0.12-1) unstable; urgency=low

  * Initial release (Closes: #440823)
  * Added licensing info for aapl

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Sep 2007 17:11:25 +0200
