=== debian/watch ===
version=3
http://www.colm.net/files/kelbt/ kelbt-(.*)\.tar\.gz
